Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/AdopterService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/AdopterService.java	(revision 0078d84fd2b12673fec45f5406570b3543b5b034)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/AdopterService.java	(revision 0078d84fd2b12673fec45f5406570b3543b5b034)
@@ -0,0 +1,9 @@
+package finki.paw5.service;
+
+import finki.paw5.model.entities.Adopter;
+
+import java.util.List;
+
+public interface AdopterService {
+    List<Adopter> findAllThatNeedApproval();
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/EmployeeService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/EmployeeService.java	(revision 0078d84fd2b12673fec45f5406570b3543b5b034)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/EmployeeService.java	(revision 0078d84fd2b12673fec45f5406570b3543b5b034)
@@ -0,0 +1,10 @@
+package finki.paw5.service;
+
+
+import finki.paw5.model.entities.Employee;
+
+import java.util.List;
+
+public interface EmployeeService {
+    List<Employee> findAll();
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/UserService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/UserService.java	(revision 0078d84fd2b12673fec45f5406570b3543b5b034)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/UserService.java	(revision 0078d84fd2b12673fec45f5406570b3543b5b034)
@@ -0,0 +1,10 @@
+package finki.paw5.service;
+
+import finki.paw5.model.entities.User;
+
+import java.util.Optional;
+
+public interface UserService {
+    User register(String password, String repeatPassword, String name, String email, String telephone);
+
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/AdopterServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/AdopterServiceImplementation.java	(revision 0078d84fd2b12673fec45f5406570b3543b5b034)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/AdopterServiceImplementation.java	(revision 0078d84fd2b12673fec45f5406570b3543b5b034)
@@ -0,0 +1,26 @@
+package finki.paw5.service.implementation;
+
+import finki.paw5.model.entities.Adopter;
+import finki.paw5.repository.AdopterRepository;
+import finki.paw5.service.AdopterService;
+import org.springframework.stereotype.Service;
+
+import java.util.List;
+import java.util.stream.Collectors;
+@Service
+
+public class AdopterServiceImplementation implements AdopterService {
+    private final AdopterRepository adopterRepository;
+
+    public AdopterServiceImplementation(AdopterRepository adopterRepository) {
+        this.adopterRepository = adopterRepository;
+    }
+
+    @Override
+    public List<Adopter> findAllThatNeedApproval() {
+
+        return adopterRepository.findAll().stream()
+                .filter(a -> !a.getVerified() & a.getemployeeVerificator() == null)
+                .collect(Collectors.toList());
+    }
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/EmployeeServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/EmployeeServiceImplementation.java	(revision 0078d84fd2b12673fec45f5406570b3543b5b034)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/EmployeeServiceImplementation.java	(revision 0078d84fd2b12673fec45f5406570b3543b5b034)
@@ -0,0 +1,22 @@
+package finki.paw5.service.implementation;
+
+import finki.paw5.model.entities.Employee;
+import finki.paw5.repository.EmployeeRepository;
+import finki.paw5.service.EmployeeService;
+import org.springframework.stereotype.Service;
+
+import java.util.List;
+
+@Service
+public class EmployeeServiceImplementation implements EmployeeService {
+    private final EmployeeRepository employeeRepository;
+
+    public EmployeeServiceImplementation(EmployeeRepository employeeRepository) {
+        this.employeeRepository = employeeRepository;
+    }
+
+    @Override
+    public List<Employee> findAll() {
+        return employeeRepository.findAll();
+    }
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/UserServiceImpl.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/UserServiceImpl.java	(revision 0078d84fd2b12673fec45f5406570b3543b5b034)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/UserServiceImpl.java	(revision 0078d84fd2b12673fec45f5406570b3543b5b034)
@@ -0,0 +1,36 @@
+package finki.paw5.service.implementation;
+
+import finki.paw5.model.entities.User;
+import finki.paw5.repository.UserRepository;
+import finki.paw5.service.UserService;
+import org.springframework.stereotype.Service;
+
+import java.sql.Date;
+import java.time.LocalDate;
+import java.util.Optional;
+
+@Service
+public class UserServiceImpl implements UserService {
+
+    private final UserRepository userRepository;
+
+    public UserServiceImpl(UserRepository userRepository) {
+        this.userRepository = userRepository;
+    }
+
+    @Override
+    public User register(String password, String repeatPassword, String name, String email, String telephone) {
+        if (email == null || email.isEmpty() || password == null || password.isEmpty()) {
+            //throw new Exception();
+        }
+        if (!password.equals(repeatPassword)) {
+            //throw new Exception();
+        }
+       if (this.userRepository.findByEmail(email)!=null) {
+            //throw new Exception("Username exists:"+email);
+        }
+        User user = new User(LocalDate.now(), name, email, password, telephone);
+        return userRepository.save(user);
+    }
+
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/EmployeeController.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/EmployeeController.java	(revision 0078d84fd2b12673fec45f5406570b3543b5b034)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/EmployeeController.java	(revision 0078d84fd2b12673fec45f5406570b3543b5b034)
@@ -0,0 +1,24 @@
+package finki.paw5.web.controllers;
+
+import finki.paw5.service.AdopterService;
+import org.springframework.stereotype.Controller;
+import org.springframework.ui.Model;
+import org.springframework.web.bind.annotation.GetMapping;
+import org.springframework.web.bind.annotation.RequestMapping;
+
+@Controller
+@RequestMapping("/")
+public class EmployeeController {
+    private final AdopterService adopterService;
+
+    public EmployeeController(AdopterService adopterService) {
+        this.adopterService = adopterService;
+    }
+
+
+    @GetMapping("/approve-adopters")
+    public String getHomePage(Model model){
+        model.addAttribute("needApproval", this.adopterService.findAllThatNeedApproval());
+        return "/approve-adopters";
+    }
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/HomeController.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/HomeController.java	(revision c3278ace63b346a0f614643acfe23f7a155fe72c)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/HomeController.java	(revision 0078d84fd2b12673fec45f5406570b3543b5b034)
@@ -19,5 +19,5 @@
 
     @GetMapping("/aboutUs")
-    public String getSuccessPage() {
+    public String getAboutUsPage(){
         return "/aboutUs";
     }
Index: Prototype Application/Paw5/src/main/resources/templates/aboutUs.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/aboutUs.html	(revision c3278ace63b346a0f614643acfe23f7a155fe72c)
+++ Prototype Application/Paw5/src/main/resources/templates/aboutUs.html	(revision 0078d84fd2b12673fec45f5406570b3543b5b034)
@@ -25,9 +25,15 @@
                         <a class="nav-link active" href="/home/aboutUs">About us</a>
                     </li>
-                    <li class="nav-item m-auto">
-                        <a class="nav-link active" href="/login">Login</a>
+                    <li class="nav-item m-auto" th:if="${session.user == null}">
+                        <a class="nav-link active" href="/login" >Login</a>
                     </li>
-                    <li class="nav-item m-auto">
+                    <li class="nav-item m-auto" th:if="${session.user == null}">
                         <a class="nav-link active" href="/register">Register</a>
+                    </li>
+                    <li class="nav-item m-auto" th:if="${session.user != null}">
+                        <a class="nav-link active">Log out</a>
+                    </li>
+                    <li class="nav-item m-auto" th:if="${session.user != null}">
+                        <a class="nav-link active" href="/approve-adopters">Approve adopters</a>
                     </li>
                 </ul>
@@ -38,5 +44,5 @@
 <h1>About Us</h1>
 <div>
-    <h5 class="text-center text-danger">
+    <h5 class="text-center text-danger" th:if="${session.user != null}">
         You successfully logged in
         <th:block  th:text="${session.user?.getId()}"></th:block>
Index: Prototype Application/Paw5/src/main/resources/templates/approve-adopters.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/approve-adopters.html	(revision 0078d84fd2b12673fec45f5406570b3543b5b034)
+++ Prototype Application/Paw5/src/main/resources/templates/approve-adopters.html	(revision 0078d84fd2b12673fec45f5406570b3543b5b034)
@@ -0,0 +1,61 @@
+<!DOCTYPE html>
+<html lang="en" xmlns:th="http://www.thymeleaf.org">
+<head>
+    <meta charset="UTF-8">
+    <title>Unapproved adopters</title>
+    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
+          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
+    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
+            integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
+            crossorigin="anonymous"></script>
+    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
+            integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
+            crossorigin="anonymous"></script>
+    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
+            integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
+            crossorigin="anonymous"></script>
+</head>
+<body>
+<header>
+    <nav class="navbar navbar-expand-md navbar-dark bg-dark">
+        <div class="container">
+            <a class="navbar-brand" href="/home">Paw 5</a>
+            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
+                    aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
+                <span class="navbar-toggler-icon"></span>
+            </button>
+
+            <div class="collapse navbar-collapse justify-content-end" id="navbarsExampleDefault">
+                <ul class="navbar-nav m-auto">
+                    <li class="nav-item m-auto">
+                        <a class="nav-link active" href="/home/aboutUs">About us</a>
+                    </li>
+                    <li class="nav-item m-auto" th:if="${session.user == null}">
+                        <a class="nav-link active" href="/login">Login</a>
+                    </li>
+                    <li class="nav-item m-auto" th:if="${session.user == null}">
+                        <a class="nav-link active" href="/register">Register</a>
+                    </li>
+                    <li class="nav-item m-auto" th:if="${session.user != null}">
+                        <a class="nav-link active">Log out</a>
+                    </li>
+                    <li class="nav-item m-auto" th:if="${session.user != null}">
+                        <a class="nav-link active" href="/approve-adopters">Approve adopters</a>
+                    </li>
+                </ul>
+            </div>
+        </div>
+    </nav>
+</header>
+<div>
+  <h2>Adopters who are waiting for your approval</h2>
+    <ul>
+      <li
+          th:each="na : ${needApproval}"
+          th:text="${na.getName()}">
+          <!--napravi tabela-->
+      </li>
+    </ul>
+</div>
+</body>
+</html>
Index: Prototype Application/Paw5/src/main/resources/templates/home.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/home.html	(revision c3278ace63b346a0f614643acfe23f7a155fe72c)
+++ Prototype Application/Paw5/src/main/resources/templates/home.html	(revision 0078d84fd2b12673fec45f5406570b3543b5b034)
@@ -24,9 +24,15 @@
             <a class="nav-link active" href="/home/aboutUs">About us</a>
           </li>
-          <li class="nav-item m-auto">
-            <a class="nav-link active" href="/login">Login</a>
+          <li class="nav-item m-auto" th:if="${session.user == null}">
+            <a class="nav-link active" href="/login" >Login</a>
+          </li>
+          <li class="nav-item m-auto" th:if="${session.user == null}">
+            <a class="nav-link active" href="/register">Register</a>
+          </li>
+          <li class="nav-item m-auto" th:if="${session.user != null}">
+            <a class="nav-link active">Log out</a>
           </li>
           <li class="nav-item m-auto">
-            <a class="nav-link active" href="/register">Register</a>
+            <a class="nav-link active" href="/approve-adopters">Approve adopters</a>
           </li>
         </ul>
@@ -37,6 +43,6 @@
 <div>
   <h1>Welcome to Paw 5</h1>
-  <h3>Let's get started
-    <th:block  th:text="${session.user?.getName()}"></th:block>
+  <h3 th:if="${session.user != null}">Let's get started
+    <th:block  th:text="${session.user.getName()}"></th:block>
   </h3>
 </div>
Index: Prototype Application/Paw5/src/main/resources/templates/login.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/login.html	(revision c3278ace63b346a0f614643acfe23f7a155fe72c)
+++ Prototype Application/Paw5/src/main/resources/templates/login.html	(revision 0078d84fd2b12673fec45f5406570b3543b5b034)
@@ -25,9 +25,15 @@
             <a class="nav-link active" href="/home/aboutUs">About us</a>
           </li>
-          <li class="nav-item m-auto">
-            <a class="nav-link active" href="/login">Login</a>
+          <li class="nav-item m-auto" th:if="${session.user == null}">
+            <a class="nav-link active" href="/login" >Login</a>
           </li>
-          <li class="nav-item m-auto">
+          <li class="nav-item m-auto" th:if="${session.user == null}">
             <a class="nav-link active" href="/register">Register</a>
+          </li>
+          <li class="nav-item m-auto" th:if="${session.user != null}">
+            <a class="nav-link active">Log out</a>
+          </li>
+          <li class="nav-item m-auto" th:if="${session.user != null}">
+            <a class="nav-link active" href="/approve-adopters">Approve adopters</a>
           </li>
         </ul>
Index: Prototype Application/Paw5/src/main/resources/templates/register.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/register.html	(revision c3278ace63b346a0f614643acfe23f7a155fe72c)
+++ Prototype Application/Paw5/src/main/resources/templates/register.html	(revision 0078d84fd2b12673fec45f5406570b3543b5b034)
@@ -32,9 +32,15 @@
                         <a class="nav-link active" href="/home/aboutUs">About us</a>
                     </li>
-                    <li class="nav-item m-auto">
-                        <a class="nav-link active" href="/login">Login</a>
-                    </li>
-                    <li class="nav-item m-auto">
+                    <li class="nav-item m-auto" th:if="${session.user == null}">
+                        <a class="nav-link active" href="/login" >Login</a>
+                    </li>
+                    <li class="nav-item m-auto" th:if="${session.user == null}">
                         <a class="nav-link active" href="/register">Register</a>
+                    </li>
+                    <li class="nav-item m-auto" th:if="${session.user != null}">
+                        <a class="nav-link active">Log out</a>
+                    </li>
+                    <li class="nav-item m-auto" th:if="${session.user != null}">
+                        <a class="nav-link active" href="/approve-adopters">Approve adopters</a>
                     </li>
                 </ul>