Index: client_app/client_app.iml
===================================================================
--- client_app/client_app.iml	(revision 81c9e25dae0f2026f49495317f0a77aa642eb4fa)
+++ client_app/client_app.iml	(revision 81c9e25dae0f2026f49495317f0a77aa642eb4fa)
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<module type="WEB_MODULE" version="4">
+  <component name="NewModuleRootManager" inherit-compiler-output="true">
+    <exclude-output />
+    <content url="file://$MODULE_DIR$" />
+    <orderEntry type="inheritedJdk" />
+    <orderEntry type="sourceFolder" forTests="false" />
+  </component>
+</module>
Index: client_app/public/index.html
===================================================================
--- client_app/public/index.html	(revision 6729ba51f1105d56935c5cae90757ade1cac2082)
+++ client_app/public/index.html	(revision 81c9e25dae0f2026f49495317f0a77aa642eb4fa)
@@ -3,5 +3,5 @@
   <head>
     <meta charset="utf-8" />
-    <link rel="icon" href="%PUBLIC_URL%/favicon.ico" />
+    <link rel="icon" href="%PUBLIC_URL%/logo.png" />
     <meta name="viewport" content="width=device-width, initial-scale=1" />
     <meta name="theme-color" content="#000000" />
@@ -10,5 +10,5 @@
       content="Web site created using create-react-app"
     />
-    <title>React App</title>
+    <title>Tinki</title>
   </head>
   <body>
Index: client_app/src/components/account_edit/company_edit.js
===================================================================
--- client_app/src/components/account_edit/company_edit.js	(revision 6729ba51f1105d56935c5cae90757ade1cac2082)
+++ client_app/src/components/account_edit/company_edit.js	(revision 81c9e25dae0f2026f49495317f0a77aa642eb4fa)
@@ -86,5 +86,5 @@
                     <Form.Input id="street" name="street" type='text' required fluid label='Street'
                                 placeholder='Enter address street.' value={this.state.street} onChange={this.handleCheck}/>
-                    <Form.Field control={Button}>Register</Form.Field>
+                    <Form.Field control={Button}>Confirm</Form.Field>
                 </Form>
             </Container>
Index: client_app/src/components/account_edit/team_edit.js
===================================================================
--- client_app/src/components/account_edit/team_edit.js	(revision 6729ba51f1105d56935c5cae90757ade1cac2082)
+++ client_app/src/components/account_edit/team_edit.js	(revision 81c9e25dae0f2026f49495317f0a77aa642eb4fa)
@@ -77,5 +77,5 @@
                     <Form.Input id="members" name="members" type="number" required fluid label="Number of members"
                                 placeholder="Enter member count." value={this.state.members} onChange={this.handleCheck}/>
-                    <Form.Field control={Button}>Register</Form.Field>
+                    <Form.Field control={Button}>Confirm</Form.Field>
                 </Form>
             </Container>
Index: client_app/src/components/account_edit/user_edit.js
===================================================================
--- client_app/src/components/account_edit/user_edit.js	(revision 6729ba51f1105d56935c5cae90757ade1cac2082)
+++ client_app/src/components/account_edit/user_edit.js	(revision 81c9e25dae0f2026f49495317f0a77aa642eb4fa)
@@ -118,5 +118,5 @@
                     <Dropdown placeholder="Skills you want to learn..." fluid multiple value={this.state.toLearn} selection options={this.state.sortedOptions} onChange={this.setToKnow}/>
                     <br/>
-                    <Button primary type="submit">Edit</Button>
+                    <Button primary type="submit">Confirm</Button>
                 </Form>
             </Container>
Index: client_app/src/components/template/header.js
===================================================================
--- client_app/src/components/template/header.js	(revision 6729ba51f1105d56935c5cae90757ade1cac2082)
+++ client_app/src/components/template/header.js	(revision 81c9e25dae0f2026f49495317f0a77aa642eb4fa)
@@ -2,5 +2,5 @@
 import {Link} from "react-router-dom";
 import {Menu, MenuItem } from "semantic-ui-react";
-
+import logo from "../../assets/logo.png";
 
 const HeaderComp = (props) => {
@@ -8,4 +8,9 @@
         return(
             <Menu inverted>
+                <MenuItem>
+                    <div className="ui mini image">
+                        <img src={logo}/>
+                    </div>
+                </MenuItem>
                 <MenuItem  as={Link} to='/register/user'>
                     Register User
@@ -26,4 +31,9 @@
             return(
                 <Menu inverted>
+                    <MenuItem>
+                        <div className="ui mini image">
+                            <img src={logo}/>
+                        </div>
+                    </MenuItem>
                     <Menu.Item as={Link} to='/profile'>
                         Profile
@@ -43,4 +53,9 @@
             return(
                 <Menu inverted>
+                    <MenuItem>
+                        <div className="ui mini image">
+                            <img src={logo}/>
+                        </div>
+                    </MenuItem>
                     <Menu.Item as={Link} to='/profile'>
                         Profile
@@ -60,4 +75,9 @@
             return(
                 <Menu inverted>
+                    <MenuItem>
+                        <div className="ui mini image">
+                            <img src={logo}/>
+                        </div>
+                    </MenuItem>
                     <Menu.Item as={Link} to='/profile'>
                         Profile
Index: client_app/src/components/work_edit/edit_internship.js
===================================================================
--- client_app/src/components/work_edit/edit_internship.js	(revision 6729ba51f1105d56935c5cae90757ade1cac2082)
+++ client_app/src/components/work_edit/edit_internship.js	(revision 81c9e25dae0f2026f49495317f0a77aa642eb4fa)
@@ -88,5 +88,5 @@
                     <Form.Input id="openSpots" name="openSpots" type='openSpots' value={this.state.openSpots} required fluid label='Open Spots'
                                 placeholder='Enter open spots...' onChange={this.handleCheck}/>
-                    <Button type="submit">Edit</Button>
+                    <Button type="submit">Confirm</Button>
                 </Form>
             </Container>
Index: client_app/src/components/work_edit/edit_job.js
===================================================================
--- client_app/src/components/work_edit/edit_job.js	(revision 6729ba51f1105d56935c5cae90757ade1cac2082)
+++ client_app/src/components/work_edit/edit_job.js	(revision 81c9e25dae0f2026f49495317f0a77aa642eb4fa)
@@ -86,5 +86,5 @@
                     <Form.Input id="salary" name="salary" type='number' value={this.state.salary} required fluid label='Salary'
                                 placeholder='Enter salary...' onChange={this.handleCheck}/>
-                    <Button type="submit">Edit</Button>
+                    <Button type="submit">Confirm</Button>
                 </Form>
             </Container>
Index: client_app/src/components/work_edit/edit_project.js
===================================================================
--- client_app/src/components/work_edit/edit_project.js	(revision 6729ba51f1105d56935c5cae90757ade1cac2082)
+++ client_app/src/components/work_edit/edit_project.js	(revision 81c9e25dae0f2026f49495317f0a77aa642eb4fa)
@@ -82,5 +82,5 @@
                     <Form.Input id="salary" name="salary" type='number' value={this.state.salary} required fluid label='Salary'
                                 placeholder='Enter salary...' onChange={this.handleCheck}/>
-                    <Button type="submit">Edit</Button>
+                    <Button type="submit">Confirm</Button>
                 </Form>
             </Container>