Index: resources/views/dashboard/files/index.blade.php
===================================================================
--- resources/views/dashboard/files/index.blade.php	(revision e3af09eb4f39b452a8b8727350be859b4ed27134)
+++ resources/views/dashboard/files/index.blade.php	(revision 90ab388d806a2d119f3de5dfe2cd7e2e51ea2b57)
@@ -58,13 +58,13 @@
                                         @if(in_array(explode('.', $file->name)[1], $excelExt))
                                             <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
-                                            <i class="fa fa-file-excel-o text-success"></i>
+                                            <i class="fa fa-file-excel-o text-success fa-2x"></i>
                                             </div>
                                         @else @if(in_array(explode('.', $file->name)[1], $textExt))
                                             <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
-                                            <i class="fa fa-file-word-o text-info"></i>
+                                            <i class="fa fa-file-word-o text-info fa-2x"></i>
                                             </div>
                                         @else @if(explode('.', $file->name)[1] == 'pdf')
                                                 <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
-                                                <i class="fa fa-file-pdf-o text-danger"></i>
+                                                <i class="fa fa-file-pdf-o text-danger fa-2x"></i>
                                                 </div>
                                             @else @if(in_array(explode('.', $file->name)[1], $imageExt))
@@ -76,7 +76,11 @@
 {{--                                                        </a>--}}
 {{--                                                    </div>--}}
-                                                        <i class="fa fa-file-image-o text-danger"></i>
+                                                    <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
+                                                        <i class="fa fa-file-image-o text-danger fa-2x"></i>
+                                                    </div>
                                                 @else
-                                                    <i class="fa fa-file-text-o text-warning"></i>
+                                                    <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
+                                                    <i class="fa fa-file-text-o text-warning fa-2x"></i>
+                                                    </div>
                                                 @endif
                                             @endif
Index: resources/views/dashboard/index.blade.php
===================================================================
--- resources/views/dashboard/index.blade.php	(revision e3af09eb4f39b452a8b8727350be859b4ed27134)
+++ resources/views/dashboard/index.blade.php	(revision 90ab388d806a2d119f3de5dfe2cd7e2e51ea2b57)
@@ -133,13 +133,13 @@
                                         @if(in_array(explode('.', $file->name)[1], $excelExt))
                                             <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
-                                                <i class="fa fa-file-excel-o text-success"></i>
+                                                <i class="fa fa-file-excel-o text-success fa-2x"></i>
                                             </div>
                                         @else @if(in_array(explode('.', $file->name)[1], $textExt))
                                             <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
-                                                <i class="fa fa-file-word-o text-info"></i>
+                                                <i class="fa fa-file-word-o text-info fa-2x"></i>
                                             </div>
                                         @else @if(explode('.', $file->name)[1] == 'pdf')
                                                 <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
-                                                    <i class="fa fa-file-pdf-o text-danger"></i>
+                                                    <i class="fa fa-file-pdf-o text-danger fa-2x"></i>
                                                 </div>
                                             @else @if(in_array(explode('.', $file->name)[1], $imageExt))
@@ -151,7 +151,11 @@
 {{--                                                        </a>--}}
 {{--                                                    </div>--}}
-                                                        <i class="fa fa-file-image-o text-danger"></i>
+                                                    <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
+                                                        <i class="fa fa-file-image-o text-danger fa-2x"></i>
+                                                    </div>
                                                 @else
-                                                        <i class="fa fa-file-text-o text-warning"></i>
+                                                    <div class="col-xl-1 col-lg-1 col-md-1 col-sm-2">
+                                                        <i class="fa fa-file-text-o text-warning fa-2x"></i>
+                                                    </div>
                                                 @endif
                                             @endif